### Enumeration

# Qmi QosEvent

since: 1.22

#### Declaration

    enum Qmi.QosEvent

#### Description [src]

QoS event.

Available since: 1.22

#### Members

`QMI_QOS_EVENT_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.22
`QMI_QOS_EVENT_ACTIVATED`

  Activated.

  - Value: `1`
  - Available since: 1.22
`QMI_QOS_EVENT_SUSPENDED`

  Suspended.

  - Value: `2`
  - Available since: 1.22
`QMI_QOS_EVENT_GONE`

  Gone.

  - Value: `3`
  - Available since: 1.22
`QMI_QOS_EVENT_MODIFY_ACCEPTED`

  Modify accepted.

  - Value: `4`
  - Available since: 1.22
`QMI_QOS_EVENT_MODIFY_REJECTED`

  Modify rejected.

  - Value: `5`
  - Available since: 1.22
`QMI_QOS_EVENT_INFO_CODE_UPDATED`

  Information code updated.

  - Value: `6`
  - Available since: 1.22

#### Type functions

###### qmi_qos_event_get_string

Gets the nickname string for the `QmiQosEvent` specified at `val`.

since: 1.22